Firefox Quantum now only supports extensions designed under the WebExtensions API, which caused older extensions using older APIs - like Telify - to no longer be compatible. Unfortunately, a switch to the WebExtensions API would require a major redesign of the software. Under this circumstances Telify for Firefox will not be developed any further.

As an alternative you can now use Telify for Chrome which is available in the Chrome Web Store.